SDL_PLATFORM_APPLE(3)

NAME
SDL_PLATFORM_APPLE - A preprocessor macro that is only defined if compiling for Apple platforms.

SYNOPSIS
#include <SDL3/SDL_platform_defines.h>

#define SDL_PLATFORM_APPLE 1

DESCRIPTION
iOS, macOS, etc will additionally define a more specific platform macro.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
SDL_PLATFORM_MACOS(3), SDL_PLATFORM_IOS(3), SDL_PLATFORM_TVOS(3), SDL_PLATFORM_VISIONOS(3)